Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#55691 - [wireguard-tools] Unneded openresolv dependency

Attached to Project: Community Packages
Opened by Emil Renner Berthing (Esmil) - Wednesday, 20 September 2017, 19:48 GMT
Last edited by Christian Hesse (eworm) - Sunday, 01 October 2017, 21:11 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Christian Hesse (eworm)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

wireguard-tools 0.0.20170918-2 started depending on openresolv.
It is true that it contains a helper script, wg-quick, that you don't need to use,
that understands a parameter, DNS, that is only useful in certain setups,
which will make the script call "resolvconf".

Hence this should at most be an optional dependency.

Additional info:
wireguard-tools 0.0.20170918-2

Steps to reproduce:
Install wireguard-tools and observe that you also need to needlessly install openresolv.
This task depends upon

Closed by  Christian Hesse (eworm)
Sunday, 01 October 2017, 21:11 GMT
Reason for closing:  Fixed
Additional comments about closing:  wireguard 0.0.20170918-3
Comment by Emil Renner Berthing (Esmil) - Wednesday, 20 September 2017, 20:09 GMT
For the record, I just tried forcefully uninstalling openresolv just to confirm that the optional wg-quick script works fine without it. As long as you don't use the DNS option of course.
Comment by Christian Hesse (eworm) - Sunday, 24 September 2017, 19:47 GMT
Yes, it is required for the DNS option. So we have a dependency, no?
Comment by Emil Renner Berthing (Esmil) - Sunday, 24 September 2017, 19:54 GMT
Yes, an optional dependency. As I said it is only need if both
1) you use the wg-quick script
AND
2) your wireguard setup needs DNS
Comment by Emil Renner Berthing (Esmil) - Sunday, 24 September 2017, 20:00 GMT
In case you don't know the PKGBUILD supports optdepends=('openresolv'). This way all the people who don't both use the wg-quick script and use the DNS option don't need to install openresolv. I'm guessing that's most users.

Loading...